Bug 16888 - Add Font Awesome Icons to Members
Summary: Add Font Awesome Icons to Members
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-08 21:49 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16888: Add Font Awesome Icons to Members (5.73 KB, patch)
2016-07-08 21:58 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16888: Add Font Awesome Icons to Members (5.73 KB, patch)
2016-07-08 22:01 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16888: Add Font Awesome Icons to Members (5.86 KB, patch)
2016-07-10 18:26 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16888: (follow-up)Add Font Awesome Icons to Members (1.39 KB, patch)
2016-07-11 14:34 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16888: Add Font Awesome Icons to Members (5.92 KB, patch)
2016-07-11 20:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16888: (follow-up)Add Font Awesome Icons to Members (1.45 KB, patch)
2016-07-11 20:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-07-08 21:49:50 UTC
Add Font Awesome Icons to:
- "Select/Clear all" links to pay.tt (Pay fines tab)
- "Filter icon" in "filter paid transactions" to Accout tab (boraccount.tt)
- "Trash icon" to Remove option in "Manual restrictions" (borrower_debarments.inc) also add "Ban and plus icon" to "Add manual restriction"
Comment 1 Héctor Eduardo Castro Avalos 2016-07-08 21:58:51 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-08 22:01:32 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-07-10 18:26:14 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2016-07-11 12:58:21 UTC
I think the addition of the "fa-ban" icon is unnecessary. At this time we use icons for actions (links, buttons), but not as decoration for other page elements.
Comment 5 Héctor Eduardo Castro Avalos 2016-07-11 14:34:57 UTC Comment hidden (obsolete)
Comment 6 Héctor Eduardo Castro Avalos 2016-07-11 14:36:29 UTC
Keep signed-off since just removed a icon decoration
Comment 7 Katrin Fischer 2016-07-11 20:41:20 UTC
Owen, could you take a last look here if this is ok?
Comment 8 Katrin Fischer 2016-07-11 20:42:37 UTC
Created attachment 53281 [details] [review]
[PASSED QA] Bug 16888: Add Font Awesome Icons to Members

Add Font Awesome Icons to:
- "Select/Clear all" links to pay.tt (Pay fines tab)
- "Filter icon" in "filter paid transactions" to Accout tab (boraccount.tt)
- "Trash icon" to Remove option in "Manual restrictions"
(borrower_debarments.inc) also add "Ban and plus icon" to "Add manual restriction"

To test:
-Apply patch
-Select a patron who has fines
-Go to "Fines->Pay fines" tabs and see the icons in "Select/Clear all"
-Choose the "Account" tab and sse the icon in "Filter paid transactions"
-Select the "Check out" tab and go to "Restrictions"
-Add a manual restriction and notice about the two new icons fa-plus and fa-band
-See the new button btn-mini and the fa-trash icon
-Verify that all works as expected

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2016-07-11 20:43:32 UTC
Created attachment 53282 [details] [review]
[PASSED QA] Bug 16888: (follow-up)Add Font Awesome Icons to Members

Remove fa-ban according with QA comment 4

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Kyle M Hall 2016-07-15 18:03:35 UTC
Pushed to master for 16.11, thanks Hector!
Comment 11 Frédéric Demians 2016-08-01 13:42:12 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 12 Julian Maurice 2016-08-17 11:14:28 UTC
Patches pushed to 3.22.x, will be in 3.22.10